<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use DB;

class CategorieController extends Controller
{
    //

    function nouveau() {

        if(session('user')== null) {
            return redirect('/');
        }

        $categorie = DB::table('categorie')->orderBydesc('idcat')->get();

        return view('categorie/categorie',[

            'categorie' => $categorie,

        ]);
    }

    function modifier($id) {

        if(session('user')== null) {
            return redirect('/');
        }

        $categorie = DB::table('categorie')->orderBydesc('idcat')->get();

        $catego = DB::table('categorie')->where('idcat', $id)->first(); 

        return view('categorie/modification',[

            'categorie' => $categorie,
            'catego' => $catego,

        ]);
    }

    function valider (Request $request, $id){

        $lib= request("lib");
              
        $veri = DB::table('categorie')->where('libelle', $lib)->first();

            if($veri){
                $message = [
                    "title" => 'Error',
                    "type" => 'error',
                    "response" => 'Cette categorie a été déjà enregistrée !',
                ];
    
                return $message;
            }

            else{
                  
                    DB::table('categorie')->where('idcat', $id)->update(
    
                        [   
                            'libelle' => $lib,
                        ]
                    );
        
                $message = [
                    "title" => 'success',
                    "type" => 'success',
                    "response" => 'Modification effectuée avec succès !',
                ];
        
                return $message; 
            } 

    }


    function enregistrer (Request $request){

        $lib= request("lib");
              
        $veri = DB::table('categorie')->where('libelle', $lib)->first();

            if($veri){
                $message = [
                    "title" => 'Error',
                    "type" => 'error',
                    "response" => 'Cette categorie a été déjà enregistrée !',
                ];
    
                return $message;
            }

            else{
                  
                    DB::table('categorie')->insert(
    
                        [   
                            'libelle' => $lib,
                        ]
                    );
        
                $message = [
                    "title" => 'success',
                    "type" => 'success',
                    "response" => 'Enregistrement effectué avec succès !',
                ];
        
                return $message; 
            } 

    }



    









}
